Link host classes to class browser
Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great to have a linking between classes, apearing in host details (all puppet classes) to the puppetdoc docu in class

browser.

Regards

Dimitri

History

#1 - 09/26/2012 09:57 AM - Dmitry Nilsen

so, i changed /opt/foreman/app/views/hosts/storeconfig_klasses.html.erb\

it adds a [docu] link after the class.

here are changes.

its quick and dirty, but works.

<% title "All Puppet Classes for #{@host}" %>

  <table class="table table-bordered table-striped">

    <tr>

      <th class="">Class</th>

    </tr>

    <% @host.classes_from_storeconfigs.each do |klass| %>

      <tr>

        <td><%= h klass %>&nbsp;[<a href="/puppet/rdoc/<%= @host.environment %>/classes/<%= klass.gsub('::', '

/').downcase %>.html">docu</a>]</td>

      </tr>

    <% end %>

  </table>

<%= link_to 'back', host_path(@host) %>

#2 - 10/22/2012 02:51 AM - Ohad Levy

- Assignee set to Amos Benari

#3 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)
